/* =========================
   TABLETS
========================= */

@media (max-width: 992px){

    .hero{
        grid-template-columns: 1fr;
        text-align: center;
        min-height: auto;
    }

    .hero-description{
        margin: auto;
        margin-bottom: 30px;
    }

    .hero-search{
        margin: auto;
    }

    .hero-image img{
        height: 450px;
    }

    .restaurant-grid{
        grid-template-columns: repeat(2, 1fr);
    }

    .categories-grid{
        grid-template-columns: repeat(2, 1fr);
    }

}



/* =========================
   MOBILE DEVICES
========================= */

@media (max-width: 768px){

    section{
        padding: 55px 6%;
    }

    .restaurants-section{
        padding-top: 40px;
    }

    .navbar{
        flex-direction: column;
        gap: 20px;
    }

    .nav-links{
        gap: 18px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .hero{
        gap: 40px;
        min-height: auto;
    }

    .hero-content h1{
        font-size: 3rem;
    }

    .hero-description{
        font-size: 1rem;
    }

    .hero-image img{
        height: 350px;
    }

    .hero-search{
        flex-direction: column;
        gap: 15px;
        padding: 18px;
    }

    .hero-search input{
        width: 100%;
    }

    .hero-search button{
        width: 100%;
    }

    .restaurant-grid{
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .categories-grid{
        grid-template-columns: 1fr;
    }

    .section-heading{
        margin-bottom: 35px;
    }

    .section-heading h2{
        font-size: 2rem;
    }

    .contact-form button{
        width: 100%;
    }

}



/* =========================
   SMALL PHONES
========================= */

@media (max-width: 480px){

    .navbar{
        padding: 18px 5%;
    }

    .logo span{
        font-size: 1.1rem;
    }

    .nav-links{
        gap: 12px;
    }

    .nav-links a{
        font-size: 0.95rem;
    }

    .hero-content h1{
        font-size: 2.3rem;
        line-height: 1.2;
    }

    .hero-description{
        font-size: 1rem;
    }

    .hero-image img{
        height: 220px;
    }

    .section-heading h2{
        font-size: 1.7rem;
    }

    .restaurant-card img{
        height: 220px;
    }

}